Product comparison · 2 network switches

Allied Telesis AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey vs Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey

Add a product
  • 33specifications compared
  • 16differ
  • 17identical
  • 48known for one product only

Key differences

  • Switch type
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:Unmanaged
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:Managed
  • Basic switching RJ-45 Ethernet ports quantity
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:8
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:50
  • Gigabit Ethernet (copper) ports quantity
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:8
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:2
  • MAC address table
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:4000 entries
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:16000 entries
  • Switching capacity
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:16 Gbit/s
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
  • Jumbo frames
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:9216
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:10000
  • Power consumption (max)
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:5 W
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:13.25 W
  • Operating temperature (T-T)
    • AT-GS910/8 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U Grey:0 - 50 °C
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:0 - 40 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-GS910/8, FS750/52
81 specifications
Management features1 differ
Switch typeDiffersUnmanagedManaged
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Web-based managementKnown for oneUnknown — not stated by the sourceYes
System event logKnown for oneUnknown — not stated by the sourceYes
Public MIBKnown for oneUnknown — not stated by the sourceRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB
Ports & interfaces3 differ
Basic switching RJ-45 Ethernet ports quantityDiffers850
Basic switching RJ-45 Ethernet ports typeDiffersGigabit Ethernet (10/100/1000)Fast Ethernet (10/100)
Fast Ethernet (copper) ports quantityKnown for oneUnknown — not stated by the source48
Gigabit Ethernet (copper) ports quantityDiffers82
Installed SFP modules quantity00
Installed SFP+ modules quantity00
Combo SFP ports quantityKnown for oneUnknown — not stated by the source2
Fiber optic connectorKnown for oneUnknown — not stated by the sourceSFP
Network2 differ
Networking standardsDiffersIEEE 802.3, IEEE 802.3az, IEEE 802.3u, IEEE 802.3xIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNoNo
Copper ethernet cabling technologyDiffers10BASE-T, 100BASE-T, 1000BASE-T10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-T
Port mirroringKnown for oneUnknown — not stated by the sourceYes
Broadcast storm controlYesYes
Flow control supportYesYes
Head-of-line (HOL) blockingKnown for oneUnknown — not stated by the sourceYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Virtual LAN featuresKnown for oneUnknown — not stated by the sourcePort-based VLAN, Tagged VLAN, VLAN Identifier ( VLAN ID)
Number of VLANsKnown for oneUnknown — not stated by the source256
Full duplexKnown for oneYesUnknown — not stated by the source
Auto-negotiationKnown for oneYesUnknown — not stated by the source
Data transmission3 differ
MAC address tableDiffers4000 entries16000 entries
Switching capacityDiffers16 Gbit/s17.6 Gbit/s
Forwarding rateKnown for oneUnknown — not stated by the source13.1 Mpps
Number of queuesKnown for oneUnknown — not stated by the source4
Jumbo frames supportYesYes
Jumbo framesDiffers921610000
Packet buffer memoryKnown for oneUnknown — not stated by the source4.1 MB
ThroughputKnown for one11.9 MppsUnknown — not stated by the source
Packet forwarding rate (1 Gbps)Known for one1488000 ppsUnknown — not stated by the source
Packet forwarding rate (10 Mbps)Known for one14880 ppsUnknown — not stated by the source
Packet forwarding rate (100 Mbps)Known for one148800 ppsUnknown — not stated by the source
Securityidentical
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP client
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
Access Control List (ACL) rulesKnown for oneUnknown — not stated by the source200
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
AuthenticationKnown for oneUnknown — not stated by the sourceMAC-based authentication, Port-based authentication
Authentication typeKnown for oneUnknown — not stated by the sourceRADIUS
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
Password protectionKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source802.1x RADIUS, SNMPv3
BPDU filtering/protectionKnown for oneYesUnknown — not stated by the source
Loop protectionKnown for oneYesUnknown — not stated by the source
Multicast featuresidentical
Multicast supportKnown for oneUnknown — not stated by the sourceYes
Number of multicast groups filteredKnown for oneUnknown — not stated by the source256
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMPv1/v2c/v3
Designidentical
Rack mountingYesYes
Form factor1U1U
Product colourGreyGrey
LED indicatorsYesYes
Number of fansKnown for oneUnknown — not stated by the source0 fan(s)
Wall mountableYesYes
Housing materialKnown for oneMetalUnknown — not stated by the source
Performanceidentical
Memory typeKnown for oneUnknown — not stated by the sourceDRAM
Internal memoryKnown for oneUnknown — not stated by the source128 MB
Flash memoryKnown for oneUnknown — not stated by the source16 MB
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Power1 differ
Power supply includedKnown for oneUnknown — not stated by the sourceYes
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (max)Differs5 W13.25 W
Input currentKnown for one0.2 AUnknown — not stated by the source
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)NoNo
Operational conditions1 differ
Operating temperature (T-T)Differs0 - 50 °C0 - 40 °C
Storage temperature (T-T)-25 - 70 °C-25 - 70 °C
Operating relative humidity (H-H)5 - 90%5 - 90%
Storage relative humidity (H-H)5 - 95%5 - 95%
Weight & dimensions4 differ
WidthDiffers210 mm440 mm
DepthDiffers121 mm250 mm
HeightDiffers38 mm44 mm
WeightDiffers720 g3 kg
Packaging contentidentical
ManualKnown for oneUnknown — not stated by the sourceYes
Rack mount kitKnown for oneUnknown — not stated by the sourceYes
Certificates1 differ
CertificationDiffersEAC certification, EN55024, ICES Class A, VCCI Class A, FCC Class A, RCM, CE, EN55022, CISPR 55022UL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cUL

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons